Get action brief
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionTitle": "<string>",
"hasBrief": true,
"status": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"goal": "<string>",
"targetAsset": "<string>",
"audienceContext": "<string>",
"recommendedOwner": "<string>",
"effortLabel": "<string>",
"acceptanceCriteria": [
"<string>"
],
"briefMarkdown": "<string>",
"briefFormat": 1,
"brief": {
"task": {
"motion": "create",
"page": "<string>",
"format": "<string>",
"audience": "<string>",
"buyerQuestion": "<string>",
"angle": "<string>"
},
"outline": [
{
"heading": "<string>",
"mustTell": "<string>"
}
],
"facts": [
{
"text": "<string>",
"sourceType": "owned_content",
"sourceUrl": "<string>",
"attribution": "<string>",
"sourceRef": "<string>",
"sections": [
1
]
}
],
"leaveOut": [
"<string>"
],
"rules": {
"tone": "<string>",
"length": "<string>",
"structure": [
"<string>"
],
"limits": [
"<string>"
],
"protection": [
"<string>"
]
},
"doneWhen": [
"<string>"
],
"inboundLinkPlan": {
"targetUrl": "<string>",
"generationId": "<string>",
"coverage": "partial",
"coverageNote": "<string>",
"edits": [
{
"sourceUrl": "<string>",
"sourceSection": "<string>",
"placement": "<string>",
"anchorText": "<string>",
"edgeStatus": "not_observed_in_generation",
"evidence": {
"excerpt": "<string>",
"contentHash": "<string>",
"crawledAt": "<string>"
}
}
],
"sourceCandidateUrls": [
"<string>"
],
"skipReason": "target_excluded",
"targetDepth": 1
}
},
"evidence": {
"whyNow": [
"<string>"
],
"sourcePatterns": [
"<string>"
],
"reasoningChecks": [
"<string>"
],
"citability": {
"pageScore": 123,
"statusLabel": "<string>",
"factors": [
{
"factor": "<string>",
"score": 123,
"weight": 123,
"detail": "<string>"
}
],
"gaps": [
"<string>"
]
},
"platformGuidance": [
"<string>"
]
},
"creditsUsed": 1.5,
"wasCutShort": true,
"sourceSnapshot": {},
"robotsTxtDraft": {
"version": 1,
"files": [
{
"robotsUrl": "<string>",
"observedAt": "2023-11-07T05:31:56Z",
"pageUrls": [
"<string>"
],
"draft": {
"status": "drafted",
"skipped": [
{
"token": "<string>",
"path": "<string>",
"reason": "training_crawler"
}
],
"reason": "robots_unavailable",
"text": "<string>",
"diff": "<string>",
"allows": [
{
"token": "<string>",
"path": "<string>",
"blockedBy": {
"agent": "<string>",
"directive": "allow",
"value": "<string>"
},
"addedRule": "<string>",
"match": "blocking_rule",
"group": "own"
}
]
}
}
]
},
"claimCheck": {
"questionVersion": 123,
"model": "<string>",
"checkedAt": "2023-11-07T05:31:56Z",
"coverage": {
"total": 1,
"checked": 1,
"retrievalFailed": 1,
"setAside": {
"devtune_data": 1,
"external_source": 1,
"global_prior": 1
}
},
"results": [
{
"claim": "<string>",
"sourceRef": "<string>",
"source": {
"kind": "site_page",
"url": "<string>"
},
"sourceType": "owned_content",
"judgment": "supported",
"confidence": 0.5,
"reason": "<string>",
"evidenceSource": "retrieved",
"evidenceUrls": [
"<string>"
],
"quote": {
"text": "<string>",
"url": "<string>"
}
}
]
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Actions
Get action brief
Returns the stored brief status for an action and, when a brief is ready, the brief. A brief written to the brief contract (briefFormat 2) is returned as Markdown, brief first and its Evidence section after, and as the structured brief and evidence objects. A briefFormat 1 brief returns Markdown only, with brief and evidence null. Requires the actions.read scope.
GET
/
projects
/
{projectId}
/
actions
/
{actionId}
/
brief
Get action brief
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionTitle": "<string>",
"hasBrief": true,
"status": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"goal": "<string>",
"targetAsset": "<string>",
"audienceContext": "<string>",
"recommendedOwner": "<string>",
"effortLabel": "<string>",
"acceptanceCriteria": [
"<string>"
],
"briefMarkdown": "<string>",
"briefFormat": 1,
"brief": {
"task": {
"motion": "create",
"page": "<string>",
"format": "<string>",
"audience": "<string>",
"buyerQuestion": "<string>",
"angle": "<string>"
},
"outline": [
{
"heading": "<string>",
"mustTell": "<string>"
}
],
"facts": [
{
"text": "<string>",
"sourceType": "owned_content",
"sourceUrl": "<string>",
"attribution": "<string>",
"sourceRef": "<string>",
"sections": [
1
]
}
],
"leaveOut": [
"<string>"
],
"rules": {
"tone": "<string>",
"length": "<string>",
"structure": [
"<string>"
],
"limits": [
"<string>"
],
"protection": [
"<string>"
]
},
"doneWhen": [
"<string>"
],
"inboundLinkPlan": {
"targetUrl": "<string>",
"generationId": "<string>",
"coverage": "partial",
"coverageNote": "<string>",
"edits": [
{
"sourceUrl": "<string>",
"sourceSection": "<string>",
"placement": "<string>",
"anchorText": "<string>",
"edgeStatus": "not_observed_in_generation",
"evidence": {
"excerpt": "<string>",
"contentHash": "<string>",
"crawledAt": "<string>"
}
}
],
"sourceCandidateUrls": [
"<string>"
],
"skipReason": "target_excluded",
"targetDepth": 1
}
},
"evidence": {
"whyNow": [
"<string>"
],
"sourcePatterns": [
"<string>"
],
"reasoningChecks": [
"<string>"
],
"citability": {
"pageScore": 123,
"statusLabel": "<string>",
"factors": [
{
"factor": "<string>",
"score": 123,
"weight": 123,
"detail": "<string>"
}
],
"gaps": [
"<string>"
]
},
"platformGuidance": [
"<string>"
]
},
"creditsUsed": 1.5,
"wasCutShort": true,
"sourceSnapshot": {},
"robotsTxtDraft": {
"version": 1,
"files": [
{
"robotsUrl": "<string>",
"observedAt": "2023-11-07T05:31:56Z",
"pageUrls": [
"<string>"
],
"draft": {
"status": "drafted",
"skipped": [
{
"token": "<string>",
"path": "<string>",
"reason": "training_crawler"
}
],
"reason": "robots_unavailable",
"text": "<string>",
"diff": "<string>",
"allows": [
{
"token": "<string>",
"path": "<string>",
"blockedBy": {
"agent": "<string>",
"directive": "allow",
"value": "<string>"
},
"addedRule": "<string>",
"match": "blocking_rule",
"group": "own"
}
]
}
}
]
},
"claimCheck": {
"questionVersion": 123,
"model": "<string>",
"checkedAt": "2023-11-07T05:31:56Z",
"coverage": {
"total": 1,
"checked": 1,
"retrievalFailed": 1,
"setAside": {
"devtune_data": 1,
"external_source": 1,
"global_prior": 1
}
},
"results": [
{
"claim": "<string>",
"sourceRef": "<string>",
"source": {
"kind": "site_page",
"url": "<string>"
},
"sourceType": "owned_content",
"judgment": "supported",
"confidence": 0.5,
"reason": "<string>",
"evidenceSource": "retrieved",
"evidenceUrls": [
"<string>"
],
"quote": {
"text": "<string>",
"url": "<string>"
}
}
]
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Authorizations
bearerAuthoauthBearer